ApiActivity (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.model

## Class ApiActivity

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiActivity

-     @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2022-11-17T16:22:50.425Z")
      public class ApiActivity
      extends Object

  Represents a user activity, such as a MapReduce job, a Hive query, an Oozie workflow, etc.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiActivity()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiActivity` | `combiner(String combiner)`
    `boolean` | `equals(Object o)`
    `ApiActivity` | `finishTime(String finishTime)`
    `String` | `getCombiner()` The combiner class.
    `String` | `getFinishTime()` The finish time of this activity.
    `String` | `getGroup()` The user-group of this activity.
    `String` | `getId()` Activity id, which is unique within a MapReduce service.
    `String` | `getInputDir()` The input data directory of the activity.
    `String` | `getMapper()` The mapper class.
    `String` | `getName()` Activity name.
    `String` | `getOutputDir()` The output result directory of the activity.
    `String` | `getParent()` The name of the parent activity.
    `String` | `getQueueName()` The scheduler queue this activity is in.
    `String` | `getReducer()` The reducer class.
    `String` | `getSchedulerPriority()` The scheduler priority of this activity.
    `String` | `getStartTime()` The start time of this activity.
    `ApiActivityStatus` | `getStatus()` Activity status.
    `ApiActivityType` | `getType()` Activity type.
    `String` | `getUser()` The user who submitted this activity.
    `ApiActivity` | `group(String group)`
    `int` | `hashCode()`
    `ApiActivity` | `id(String id)`
    `ApiActivity` | `inputDir(String inputDir)`
    `ApiActivity` | `mapper(String mapper)`
    `ApiActivity` | `name(String name)`
    `ApiActivity` | `outputDir(String outputDir)`
    `ApiActivity` | `parent(String parent)`
    `ApiActivity` | `queueName(String queueName)`
    `ApiActivity` | `reducer(String reducer)`
    `ApiActivity` | `schedulerPriority(String schedulerPriority)`
    `void` | `setCombiner(String combiner)`
    `void` | `setFinishTime(String finishTime)`
    `void` | `setGroup(String group)`
    `void` | `setId(String id)`
    `void` | `setInputDir(String inputDir)`
    `void` | `setMapper(String mapper)`
    `void` | `setName(String name)`
    `void` | `setOutputDir(String outputDir)`
    `void` | `setParent(String parent)`
    `void` | `setQueueName(String queueName)`
    `void` | `setReducer(String reducer)`
    `void` | `setSchedulerPriority(String schedulerPriority)`
    `void` | `setStartTime(String startTime)`
    `void` | `setStatus(ApiActivityStatus status)`
    `void` | `setType(ApiActivityType type)`
    `void` | `setUser(String user)`
    `ApiActivity` | `startTime(String startTime)`
    `ApiActivity` | `status(ApiActivityStatus status)`
    `String` | `toString()`
    `ApiActivity` | `type(ApiActivityType type)`
    `ApiActivity` | `user(String user)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiActivity

          public ApiActivity()

  - ### Method Detail

    - #### name

          public ApiActivity name(String name)

    - #### getName

          public String getName()

      Activity name.
      Returns:
        name

    - #### setName

          public void setName(String name)

    - #### type

          public ApiActivity type(ApiActivityType type)

    - #### getType

          public ApiActivityType getType()

      Activity type. Whether it's an MR job, a Pig job, a Hive query, etc.
      Returns:
        type

    - #### setType

          public void setType(ApiActivityType type)

    - #### parent

          public ApiActivity parent(String parent)

    - #### getParent

          public String getParent()

      The name of the parent activity.
      Returns:
        parent

    - #### setParent

          public void setParent(String parent)

    - #### startTime

          public ApiActivity startTime(String startTime)

    - #### getStartTime

          public String getStartTime()

      The start time of this activity.
      Returns:
        startTime

    - #### setStartTime

          public void setStartTime(String startTime)

    - #### finishTime

          public ApiActivity finishTime(String finishTime)

    - #### getFinishTime

          public String getFinishTime()

      The finish time of this activity.
      Returns:
        finishTime

    - #### setFinishTime

          public void setFinishTime(String finishTime)

    - #### id

          public ApiActivity id(String id)

    - #### getId

          public String getId()

      Activity id, which is unique within a MapReduce service.
      Returns:
        id

    - #### setId

          public void setId(String id)

    - #### status

          public ApiActivity status(ApiActivityStatus status)

    - #### getStatus

          public ApiActivityStatus getStatus()

      Activity status.
      Returns:
        status

    - #### setStatus

          public void setStatus(ApiActivityStatus status)

    - #### user

          public ApiActivity user(String user)

    - #### getUser

          public String getUser()

      The user who submitted this activity.
      Returns:
        user

    - #### setUser

          public void setUser(String user)

    - #### group

          public ApiActivity group(String group)

    - #### getGroup

          public String getGroup()

      The user-group of this activity.
      Returns:
        group

    - #### setGroup

          public void setGroup(String group)

    - #### inputDir

          public ApiActivity inputDir(String inputDir)

    - #### getInputDir

          public String getInputDir()

      The input data directory of the activity. An HDFS url.
      Returns:
        inputDir

    - #### setInputDir

          public void setInputDir(String inputDir)

    - #### outputDir

          public ApiActivity outputDir(String outputDir)

    - #### getOutputDir

          public String getOutputDir()

      The output result directory of the activity. An HDFS url.
      Returns:
        outputDir

    - #### setOutputDir

          public void setOutputDir(String outputDir)

    - #### mapper

          public ApiActivity mapper(String mapper)

    - #### getMapper

          public String getMapper()

      The mapper class.
      Returns:
        mapper

    - #### setMapper

          public void setMapper(String mapper)

    - #### combiner

          public ApiActivity combiner(String combiner)

    - #### getCombiner

          public String getCombiner()

      The combiner class.
      Returns:
        combiner

    - #### setCombiner

          public void setCombiner(String combiner)

    - #### reducer

          public ApiActivity reducer(String reducer)

    - #### getReducer

          public String getReducer()

      The reducer class.
      Returns:
        reducer

    - #### setReducer

          public void setReducer(String reducer)

    - #### queueName

          public ApiActivity queueName(String queueName)

    - #### getQueueName

          public String getQueueName()

      The scheduler queue this activity is in.
      Returns:
        queueName

    - #### setQueueName

          public void setQueueName(String queueName)

    - #### schedulerPriority

          public ApiActivity schedulerPriority(String schedulerPriority)

    - #### getSchedulerPriority

          public String getSchedulerPriority()

      The scheduler priority of this activity.
      Returns:
        schedulerPriority

    - #### setSchedulerPriority

          public void setSchedulerPriority(String schedulerPriority)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2022. All rights reserved.